- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# hcloud_ssh_key_info – Gather infos about your Hetzner Cloud ssh_keys

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Gather facts about your Hetzner Cloud ssh_keys.

- This module was called `hcloud_ssh_key_facts` before Ansible 2.9, returning `ansible_facts` and `hcloud_ssh_key_facts`. Note that the hcloud_ssh_key_info module no longer returns `ansible_facts` and the value was renamed to `hcloud_ssh_key_info`!

Aliases: hcloud_ssh_key_facts

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | This is the API Token for the Hetzner Cloud.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
fingerprint string |  | The fingerprint of the ssh key you want to get.
id integer |  | The ID of the ssh key you want to get.
label_selector string |  | The label selector for the ssh key you want to get.
name string |  | The name of the ssh key you want to get.

## See Also

See also

Documentation for Hetzner Cloud API

  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Gather hcloud sshkey infos
      hcloud_ssh_key_info:
      register: output
    - name: Print the gathered infos
      debug:
        var: output.hcloud_ssh_key_info

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_ssh_key_info complex | Always | The ssh key instances
| fingerprint string | always | Fingerprint of the ssh key Sample: 0e:e0:bd:c7:2d:1f:69:49:94:44:91:f1:19:fd:35:f3
| id integer | always | Numeric identifier of the ssh_key Sample: 1937415
| labels dictionary | always | User-defined labels (key-value pairs)
| name string | always | Name of the ssh_key Sample: my-ssh-key
| public_key string | always | The actual public key Sample: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGpl/tnk74nnQJxxLAtutUApUZMRJxryKh7VXkNbd4g9 john@example.com

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Christopher Schmitt (@cschmitt-hcloud)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.